Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.descriptor
Class GenuineVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
          org.optaplanner.core.impl.domain.variable.descriptor.GenuineVariableDescriptor

    public class GenuineVariableDescriptor

extends VariableDescriptor

Field Summary

Fields inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`entityDescriptor, variablePropertyAccessor`

Constructor Summary
`GenuineVariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`List<VariableListener>` | `buildVariableListenerList()`
`SelectionSorter` | `getDecreasingStrengthSorter()`
`SelectionSorter` | `getIncreasingStrengthSorter()`
`SelectionFilter` | `getReinitializeVariableEntityFilter()`
`long` | `getValueCount(Solution solution, Object entity)`
`ValueRangeDescriptor` | `getValueRangeDescriptor()`
`boolean` | `isChained()`
`boolean` | `isInitialized(Object entity)` A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.
`boolean` | `isNullable()`
`boolean` | `isValueRangeEntityIndependent()`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`void` | `registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`getEntityDescriptor, getValue, getVariableName, getVariablePropertyType, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenuineVariableDescriptor

    public GenuineVariableDescriptor(EntityDescriptor entityDescriptor,
                                     PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### registerShadowVariableDescriptor

    public void registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)

### isChained

    public boolean isChained()

### isNullable

    public boolean isNullable()

### getReinitializeVariableEntityFilter

    public SelectionFilter getReinitializeVariableEntityFilter()

### getValueRangeDescriptor

    public ValueRangeDescriptor getValueRangeDescriptor()

### isValueRangeEntityIndependent

    public boolean isValueRangeEntityIndependent()

### buildVariableListenerList

    public List<VariableListener> buildVariableListenerList()

### isInitialized

    public boolean isInitialized(Object entity)

  A `PlanningVariable.nullable()` value is always considered initialized, but it can still be reinitialized with `PlanningVariable.reinitializeVariableEntityFilter()`.

  Parameters:
    `entity` - never null
  Returns:
    true if the variable on that entity is initialized

### getIncreasingStrengthSorter

    public SelectionSorter getIncreasingStrengthSorter()

### getDecreasingStrengthSorter

    public SelectionSorter getDecreasingStrengthSorter()

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

### toString

    public String toString()

  Overrides:
    `toString` in class `VariableDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.